All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
GradientVectorPrewittBorder
Fixed Filters

RGB Color to Prewitt Gradient Vector conversion using user selected fixed mask size and gradient distance method. More...

## Functions

NppStatus | nppiGradientVectorPrewittBorder_8u16s_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDstX, int nDstXStep, Npp16s *pDstY, int nDstYStep, Npp16s *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned packed RGB to optional 1 channel 16-bit signed X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control. More...
NppStatus | nppiGradientVectorPrewittBorder_8u16s_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDstX, int nDstXStep, Npp16s *pDstY, int nDstYStep, Npp16s *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType)
NppStatus | nppiGradientVectorPrewittBorder_8u16s_C3C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDstX, int nDstXStep, Npp16s *pDstY, int nDstYStep, Npp16s *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned packed RGB to optional 1 channel 16-bit signed X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control. More...
NppStatus | nppiGradientVectorPrewittBorder_8u16s_C3C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp16s *pDstX, int nDstXStep, Npp16s *pDstY, int nDstYStep, Npp16s *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType)
NppStatus | nppiGradientVectorPrewittBorder_16s32f_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control. More...
NppStatus | nppiGradientVectorPrewittBorder_16s32f_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType)
NppStatus | nppiGradientVectorPrewittBorder_16s32f_C3C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control. More...
NppStatus | nppiGradientVectorPrewittBorder_16s32f_C3C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType)
NppStatus | nppiGradientVectorPrewittBorder_16u32f_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control. More...
NppStatus | nppiGradientVectorPrewittBorder_16u32f_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType)
NppStatus | nppiGradientVectorPrewittBorder_16u32f_C3C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control. More...
NppStatus | nppiGradientVectorPrewittBorder_16u32f_C3C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType)
NppStatus | nppiGradientVectorPrewittBorder_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| 1 channel 32-bit floating point packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control. More...
NppStatus | nppiGradientVectorPrewittBorder_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType)
NppStatus | nppiGradientVectorPrewittBorder_32f_C3C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType, NppStreamContext nppStreamCtx)
| 3 channel 32-bit floating point packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control. More...
NppStatus | nppiGradientVectorPrewittBorder_32f_C3C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSrcSize, NppiPoint oSrcOffset, Npp32f *pDstX, int nDstXStep, Npp32f *pDstY, int nDstYStep, Npp32f *pDstMag, int nDstMagStep, Npp32f *pDstAngle, int nDstAngleStep, NppiSize oSizeROI, NppiMaskSize eMaskSize, NppiNorm eNorm, NppiBorderType eBorderType)

## Detailed Description

RGB Color to Prewitt Gradient Vector conversion using user selected fixed mask size and gradient distance method.

Functions support up to 4 optional single channel output gradient vectors, X (vertical), Y (horizontal), magnitude, and angle with user selectable distance methods. Output for a particular vector is disabled by supplying a NULL pointer for that vector. X and Y gradient vectors are in cartesian form in the destination data type. Magnitude vectors are polar gradient form in the destination data type, angle is always in floating point polar gradient format. Only fixed mask sizes of 3x3 are supported. Only nppiNormL1 (sum) and nppiNormL2 (sqrt of sum of squares) distance methods are currently supported.

Currently only the NPP_BORDER_REPLICATE border type operation is supported. Borderless output can be accomplished by using a larger source image than the destination and adjusting oSrcSize and oSrcOffset parameters accordingly.

### Common parameters for nppiFilterGradientVectorPrewittBorder functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSrcSize | Source image width and height in pixels relative to pSrc.
  oSrcOffset | The pixel offset that pSrc points to relative to the origin of the source image.
  pDstX | X vector destination_image_pointer.
  nDstXStep | X vector destination_image_line_step.
  pDstY | Y vector destination_image_pointer.
  nDstYStep | Y vector destination_image_line_step.
  pDstMag | magnitude destination_image_pointer.
  nDstMagStep | magnitude destination_image_line_step.
  pDstAngle | angle destination_image_pointer.
  nDstAngleStep | angle destination_image_line_step.
  oSizeROI | Region-of-Interest (ROI).
  eMaskSize | fixed filter mask size to use.
  eNorm | gradient distance method to use.
  eBorderType | source image border type to use use.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

The following fixed kernel mask is used for producing the pDstX (vertical) output image.

The following fixed kernel mask is used for producing the pDstY (horizontal) output image.

For the C1R versions of the function the pDstMag output image value for L1 normalization consists of the absolute value of the pDstX value plus the absolute value of the pDstY value at that particular image pixel location. For the C1R versions of the function the pDstMag output image value for L2 normalization consists of the square root of the pDstX value squared plus the pDstY value squared at that particular image pixel location. For the C1R versions of the function the pDstAngle output image value consists of the arctangent (atan2) of the pDstY value and the pDstX value at that particular image pixel location.

For the C3C1R versions of the function, regardless of the selected normalization method, the L2 normalization value is first determined for each or the pDstX and pDstY values for each source channel then the largest L2 normalization value (largest gradient) is used to select which of the 3 pDstX channel values are output to the pDstX image or pDstY channel values are output to the pDstY image. For the C3C1R versions of the function the pDstMag output image value for L1 normalizaton consists of the same technique used for the C1R version for each source image channel. Then the largest L2 normalization value is again used to select which of the 3 pDstMag channel values to output to the pDstMag image. For the C3C1R versions of the function the pDstMag output image value for L2 normalizaton consists of just outputting the largest per source channel L2 normalization value to the pDstMag image. For the C3C1R versions of the function the pDstAngle output image value consists of the same technique used for the C1R version calculated for each source image channel. Then the largest L2 normalization value is again used to select which of the 3 angle values to output to the pDstAngle image.

## Function Documentation

NppStatus nppiGradientVectorPrewittBorder_16s32f_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiGradientVectorPrewittBorder_16s32f_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control.

For common parameter descriptions, see Common parameters for nppiFilterGradientVectorPrewittBorder functions.

NppStatus nppiGradientVectorPrewittBorder_16s32f_C3C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiGradientVectorPrewittBorder_16s32f_C3C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control.

For common parameter descriptions, see Common parameters for nppiFilterGradientVectorPrewittBorder functions.

NppStatus nppiGradientVectorPrewittBorder_16u32f_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiGradientVectorPrewittBorder_16u32f_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control.

For common parameter descriptions, see Common parameters for nppiFilterGradientVectorPrewittBorder functions.

NppStatus nppiGradientVectorPrewittBorder_16u32f_C3C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiGradientVectorPrewittBorder_16u32f_C3C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control.

For common parameter descriptions, see Common parameters for nppiFilterGradientVectorPrewittBorder functions.

NppStatus nppiGradientVectorPrewittBorder_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiGradientVectorPrewittBorder_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit floating point packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control.

For common parameter descriptions, see Common parameters for nppiFilterGradientVectorPrewittBorder functions.

NppStatus nppiGradientVectorPrewittBorder_32f_C3C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiGradientVectorPrewittBorder_32f_C3C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp32f * | pDstX,
|  | int | nDstXStep,
|  | Npp32f * | pDstY,
|  | int | nDstYStep,
|  | Npp32f * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit floating point packed RGB to optional 1 channel 32-bit floating point X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control.

For common parameter descriptions, see Common parameters for nppiFilterGradientVectorPrewittBorder functions.

NppStatus nppiGradientVectorPrewittBorder_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDstX,
|  | int | nDstXStep,
|  | Npp16s * | pDstY,
|  | int | nDstYStep,
|  | Npp16s * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiGradientVectorPrewittBorder_8u16s_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDstX,
|  | int | nDstXStep,
|  | Npp16s * | pDstY,
|  | int | nDstYStep,
|  | Npp16s * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned packed RGB to optional 1 channel 16-bit signed X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control.

For common parameter descriptions, see Common parameters for nppiFilterGradientVectorPrewittBorder functions.

NppStatus nppiGradientVectorPrewittBorder_8u16s_C3C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDstX,
|  | int | nDstXStep,
|  | Npp16s * | pDstY,
|  | int | nDstYStep,
|  | Npp16s * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType
| ) |  |

NppStatus nppiGradientVectorPrewittBorder_8u16s_C3C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSrcSize,
|  | NppiPoint | oSrcOffset,
|  | Npp16s * | pDstX,
|  | int | nDstXStep,
|  | Npp16s * | pDstY,
|  | int | nDstYStep,
|  | Npp16s * | pDstMag,
|  | int | nDstMagStep,
|  | Npp32f * | pDstAngle,
|  | int | nDstAngleStep,
|  | NppiSize | oSizeROI,
|  | NppiMaskSize | eMaskSize,
|  | NppiNorm | eNorm,
|  | NppiBorderType | eBorderType,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned packed RGB to optional 1 channel 16-bit signed X (vertical), Y (horizontal), magnitude, and/or 32-bit floating point angle gradient vectors with user selectable fixed mask size and distance method with border control.

For common parameter descriptions, see Common parameters for nppiFilterGradientVectorPrewittBorder functions.

Copyright © 2009-2020 NVIDIA Corporation